Bug 460748 - Segmentation Fault with evince
Segmentation Fault with evince
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-08-30 17:36 EDT by Dhaval Giani
Modified: 2013-04-02 00:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:21:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Core dump. (2.14 MB, application/x-bzip)
2008-08-30 17:36 EDT, Dhaval Giani
no flags Details
The pdf opened up in evince (44 bytes, text/plain)
2008-08-30 17:41 EDT, Dhaval Giani
no flags Details
proposed patch (335 bytes, patch)
2008-11-18 09:38 EST, Marek Kašík
no flags Details | Diff
modified patch (483 bytes, patch)
2008-11-20 10:50 EST, Marek Kašík
no flags Details | Diff

  None (edit)
Description Dhaval Giani 2008-08-30 17:36:53 EDT
Created attachment 315431 [details]
Core dump.

Description of problem:
While reading pdf files, evince has a segmentation fault. Not exactly sure how to reproduce, but I seem to hit it fairly often (a number of actions, not sure which one actually triggers it.)

Version-Release number of selected component (if applicable):
[root@mordor ~]# rpm -qv evince
evince-2.23.6-1.fc10.i386
[root@mordor ~]# 


How reproducible:
Extremely, but not sure of which exact action causes teh segmentation fault.

Steps to Reproduce:
1. Selecting a lot of text and scrolling at the same time.
2.
3.
  
Actual results:
Evince crashes

Expected results:
Evince should not crash.

Additional info:
I've a core dump. Attaching it. The gdb backtrace shows the following,
Core was generated by `evince keynote.pdf'.
Program terminated with signal 11, Segmentation fault.
[New process 8700]
[New process 8701]
#0  0x0788166e in TextLine::visitSelection () from /usr/lib/libpoppler.so.3
Missing separate debuginfos, use: debuginfo-install GConf2.i386 ORBit2.i386 at-spi.i386 atk.i386 avahi.i386 cairo.i386 dbus-glib.i386 dbus.i386 e2fsprogs.i386 expat.i386 fontconfig.i386 freetype.i386 gcc.i386 glib2.i386 glibc.i686 gnome-keyring.i386 gnome-panel.i386 gnome-vfs2.i386 gtk2-engines.i386 gtk2.i386 gvfs.i386 keyutils.i386 krb5.i386 libICE.i386 libSM.i386 libX11.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdmcp.i386 libXext.i386 libXfixes.i386 libXi.i386 libXinerama.i386 libXrandr.i386 libXrender.i386 libXtst.i386 libart_lgpl.i386 libbonobo.i386 libbonoboui.i386 libcanberra.i386 libcap.i386 libgail-gnome.i386 libglade2.i386 libgnome.i386 libgnomecanvas.i386 libgnomeui.i386 libjpeg.i386 libogg.i386 libpng.i386 libselinux.i386 libtool.i386 libvorbis.i386 libxcb.i386 libxml2.i386 openssl.i686 pango.i386 pixman.i386 poppler.i386 popt.i386 zlib.i386
(gdb) bt
#0  0x0788166e in TextLine::visitSelection () from /usr/lib/libpoppler.so.3
#1  0x078818d6 in TextBlock::visitSelection () from /usr/lib/libpoppler.so.3
#2  0x07881c56 in TextPage::visitSelection () from /usr/lib/libpoppler.so.3
#3  0x0788692d in TextPage::getSelectionRegion () from /usr/lib/libpoppler.so.3
#4  0x07886985 in TextOutputDev::getSelectionRegion () from /usr/lib/libpoppler.so.3
#5  0x00142f0e in poppler_page_get_selection_region () from /usr/lib/libpoppler-glib.so.3
#6  0x001b4881 in pdf_selection_get_selection_region (selection=0x8c07a78, rc=0xb4907d00, style=EV_SELECTION_STYLE_WORD, points=0x8eef854) at ev-poppler.cc:1990
#7  0x00128adc in ev_selection_get_selection_region (selection=<value optimized out>, rc=Could not find the frame base for "ev_selection_get_selection_region".
) at ev-selection.c:103
#8  0x08068b4d in ev_pixbuf_cache_get_selection_surface (pixbuf_cache=0x8c0b750, page=23, scale=1.60606062, region=0xbfb3b4b8) at ev-pixbuf-cache.c:1016
#9  0x0806db45 in merge_selection_region (view=0x8beb010, new_list=<value optimized out>) at ev-view.c:5572
#10 0x080729fb in compute_selections (view=0x8beb010, style=EV_SELECTION_STYLE_WORD, start=0x8beb1d4, stop=0x8beb1bc) at ev-view.c:5647
#11 0x08072ea6 in selection_update_idle_cb (view=0x8beb010) at ev-view.c:2876
#12 0x00c50421 in ?? () from /lib/libglib-2.0.so.0
#13 0x00c52381 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#14 0x00c55a23 in ?? () from /lib/libglib-2.0.so.0
#15 0x00c55f42 in g_main_loop_run () from /lib/libglib-2.0.so.0
#16 0x06eeeac9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x0808d6d8 in main (argc=2, argv=Cannot access memory at address 0x4
) at main.c:402
(gdb)
Comment 1 Dhaval Giani 2008-08-30 17:41:08 EDT
Created attachment 315432 [details]
The pdf opened up in evince
Comment 2 Marek Kašík 2008-11-18 09:38:50 EST
Created attachment 323904 [details]
proposed patch

Hi,
this is a bug in poppler.
It is caused by different sizes of bounding boxes of words and bounding boxes of lines.
This can happen for a special character in a line. Height of the bounding box of such line is then higher than bounding boxes of normal words.
If user double clicks in the space inside bounding box of such a line, but outside bounding box of the closest word, then the application crashes.
(it crashes after searching for the beginning of the selection, because beginning word is not hit but it is supposed that it was hit)
The attached patch avoids crashing by cancellation of such a selection.

  Regards

    Marek
Comment 3 Marek Kašík 2008-11-20 10:50:24 EST
Created attachment 324187 [details]
modified patch

This version of the patch was accepted by upstream. (for actual rawhide version (F11))

  Marek
Comment 4 Bug Zapper 2008-11-25 21:54:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Marcel Ziswiler 2009-02-04 14:08:57 EST
I got evince to crash as well on my up-to-date FC10 x86_64 system. I think I was using the search feature when it happened. I had lots of PDF documents opened. All of them closed upon this crash which is rather sad.

evince-2.24.2-1.fc10.x86_64

ERROR:ev-pixbuf-cache.c:989:ev_pixbuf_cache_get_selection_surface: assertion failed: (job_info->rc)
Comment 7 Bug Zapper 2009-11-18 03:20:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:21:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.